## org.eclipse.emf.compare.epatch.applier
Class EpatchApplyStrategy.EpatchRightToLeftStrategy

    java.lang.Object
      org.eclipse.emf.compare.epatch.applier.EpatchApplyStrategy.EpatchRightToLeftStrategy

All Implemented Interfaces:
  EpatchApplyStrategy

Enclosing interface:
  EpatchApplyStrategy

    public static class EpatchApplyStrategy.EpatchRightToLeftStrategy

extends java.lang.Object
implements EpatchApplyStrategy

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.compare.epatch.applier.EpatchApplyStrategy
`EpatchApplyStrategy.EpatchLeftToRightStrategy, EpatchApplyStrategy.EpatchRightToLeftStrategy, EpatchApplyStrategy.Util`

Constructor Summary
`protected` `EpatchApplyStrategy.EpatchRightToLeftStrategy()`

Method Summary
`java.util.List<CreatedObject>` `getAllAddedObjects(NamedObject obj)`
`java.util.List<CreatedObject>` `getAllRemovedObjects(NamedObject obj)`
`java.lang.String` `getInputFragment(ObjectRef obj)`
`NamedResource` `getInputResource(ObjectRef obj)`
`CreatedObject` `getInputRoot(NamedResource res)`
`java.lang.String` `getInputURI(NamedResource res)`
`org.eclipse.emf.common.util.EList<AssignmentValue>` `getInputValues(ListAssignment si)`
`CreatedObject` `getOutputRoot(NamedResource res)`
`java.lang.String` `getOutputURI(NamedResource res)`
`AssignmentValue` `getOutputValue(SingleAssignment si)`
`org.eclipse.emf.common.util.EList<AssignmentValue>` `getOutputValues(ListAssignment si)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EpatchApplyStrategy.EpatchRightToLeftStrategy

    protected EpatchApplyStrategy.EpatchRightToLeftStrategy()

Method Detail

### getAllAddedObjects

    public java.util.List<CreatedObject> getAllAddedObjects(NamedObject obj)

  Specified by:
    `getAllAddedObjects` in interface `EpatchApplyStrategy`

### getAllRemovedObjects

    public java.util.List<CreatedObject> getAllRemovedObjects(NamedObject obj)

  Specified by:
    `getAllRemovedObjects` in interface `EpatchApplyStrategy`

### getInputFragment

    public java.lang.String getInputFragment(ObjectRef obj)

  Specified by:
    `getInputFragment` in interface `EpatchApplyStrategy`

### getInputResource

    public NamedResource getInputResource(ObjectRef obj)

  Specified by:
    `getInputResource` in interface `EpatchApplyStrategy`

### getInputRoot

    public CreatedObject getInputRoot(NamedResource res)

  Specified by:
    `getInputRoot` in interface `EpatchApplyStrategy`

### getInputURI

    public java.lang.String getInputURI(NamedResource res)

  Specified by:
    `getInputURI` in interface `EpatchApplyStrategy`

### getInputValues

    public org.eclipse.emf.common.util.EList<AssignmentValue> getInputValues(ListAssignment si)

  Specified by:
    `getInputValues` in interface `EpatchApplyStrategy`

### getOutputRoot

    public CreatedObject getOutputRoot(NamedResource res)

  Specified by:
    `getOutputRoot` in interface `EpatchApplyStrategy`

### getOutputURI

    public java.lang.String getOutputURI(NamedResource res)

  Specified by:
    `getOutputURI` in interface `EpatchApplyStrategy`

### getOutputValue

    public AssignmentValue getOutputValue(SingleAssignment si)

  Specified by:
    `getOutputValue` in interface `EpatchApplyStrategy`

### getOutputValues

    public org.eclipse.emf.common.util.EList<AssignmentValue> getOutputValues(ListAssignment si)

  Specified by:
    `getOutputValues` in interface `EpatchApplyStrategy`

Copyright 2006 IBM Corporation and others. All Rights Reserved.